Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class UIResponseAndTO

    java.lang.Object
      org.eclipse.higgins.ics.ws.wsdl.UIResponseAndTO

All Implemented Interfaces:
  Serializable

public class UIResponseAndTO
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`UIResponseAndTO()`
`UIResponseAndTO(String name, UIResponseOrTO[] or)`

Method Summary
`boolean` | `equals(Object obj)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`String` | `getName()` Gets the name value for this UIResponseAndTO.
`UIResponseOrTO[]` | `getOr()` Gets the or value for this UIResponseAndTO.
`static org.apache.axis.encoding.Serializer` | `getSerializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setName(String name)` Sets the name value for this UIResponseAndTO.
`void` | `setOr(UIResponseOrTO[] or)` Sets the or value for this UIResponseAndTO.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIResponseAndTO

    public UIResponseAndTO()

### UIResponseAndTO

    public UIResponseAndTO(String name,
                           UIResponseOrTO[] or)

Method Detail

### getName

    public String getName()

  Gets the name value for this UIResponseAndTO.

  Returns:
    name

### setName

    public void setName(String name)

  Sets the name value for this UIResponseAndTO.

  Parameters:
    `name` -

### getOr

    public UIResponseOrTO[] getOr()

  Gets the or value for this UIResponseAndTO.

  Returns:
    or

### setOr

    public void setOr(UIResponseOrTO[] or)

  Sets the or value for this UIResponseAndTO.

  Parameters:
    `or` -

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(String mechType,
                                                                    Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(String mechType,
                                                                        Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD